Skip to main content
GET
/
v1
/
device
/
thermal-control
/
forecast
Get Thermal Control Forecast
curl --request GET \
  --url https://api.nox.energy/v1/device/thermal-control/forecast \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "device_id": "HP123456",
    "forecasts": [
      {
        "timestamp": "2025-01-15 10:30:00",
        "tank": {
          "upperbound_Z": 4.5,
          "lowerbound_X": 1.5,
          "Y_avg": 2.3,
          "Q_loss": 0.1,
          "Q_gain": [
            1.2,
            1.3,
            1.4,
            1.5
          ],
          "P_if_activated": [
            0.5,
            1,
            1.5,
            2
          ],
          "tank_activation_limit": 49.80517352152737,
          "tank_activation_limit_temp": 53
        },
        "house": {
          "upperbound_Z": 8.5,
          "lowerbound_X": 2,
          "Y_avg": 4.3,
          "Y_ideal": 4,
          "Q_natural": 0.2,
          "Q_heating": [
            0.5,
            0.7,
            0.9,
            1,
            1.2,
            1.5,
            1.7,
            2
          ],
          "Q_cooling": [
            0.1,
            0.2,
            0.3,
            0.4,
            0.5,
            0.6,
            0.7,
            0.8
          ],
          "P_heating": [
            0.5,
            0.7,
            0.9,
            1,
            1.2,
            1.5,
            1.7,
            2
          ],
          "P_cooling": [
            0.1,
            0.2,
            0.3,
            0.4,
            0.5,
            0.6,
            0.7,
            0.8
          ]
        }
      },
      {
        "timestamp": "2025-01-15 10:45:00",
        "tank": {
          "upperbound_Z": 3.5,
          "lowerbound_X": 0.5,
          "Y_avg": 2.2,
          "Y_ideal": 2,
          "Q_loss": 0.3,
          "Q_gain": [
            1.2,
            1.2,
            1.4,
            1.5
          ],
          "P_if_activated": [
            0.5,
            1.5,
            1.5,
            2
          ],
          "tank_activation_limit": 49.80517352152737,
          "tank_activation_limit_temp": 53
        },
        "house": {
          "upperbound_Z": 4.5,
          "lowerbound_X": 3,
          "Y_avg": 1.3,
          "Q_natural": 0.2,
          "Q_heating": [
            0.5,
            0.7,
            0.9,
            1,
            1.2,
            1.5,
            1.7,
            2
          ],
          "Q_cooling": [
            0.1,
            0.2,
            0.3,
            0.4,
            0.5,
            0.6,
            0.7,
            0.8
          ],
          "P_heating": [
            0.5,
            0.7,
            0.9,
            1,
            1.2,
            1.5,
            1.7,
            2
          ],
          "P_cooling": [
            0.1,
            0.2,
            0.3,
            0.4,
            0.5,
            0.6,
            0.7,
            0.8
          ]
        }
      }
    ]
  },
  "meta": {
    "forecast_generation_date": "2025-01-14",
    "forecast_generation_date_time_zone": "UTC",
    "timestamp_time_zone": "UTC",
    "tank_upperbound_Z_unit": "kWh",
    "tank_lowerbound_X_unit": "kWh",
    "tank_Y_avg_unit": "kWh",
    "tank_Q_loss_unit": "kW",
    "tank_Q_gain_unit": "kW",
    "tank_P_if_activated_unit": "kW",
    "house_upperbound_Z_unit": "kWh",
    "house_lowerbound_X_unit": "kWh",
    "house_Y_avg_unit": "kWh",
    "house_Q_natural_unit": "kW",
    "house_Q_heating_unit": "kW",
    "house_Q_cooling_unit": "kW",
    "house_P_heating_unit": "kW",
    "house_P_cooling_unit": "kW",
    "tank_activation_limits_unit": "kWh",
    "tank_activation_limit_temp_unit": "°C",
    "energy_supplier": "Energy Supplier A"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

device_id
string
required

The ID of the device.

Response

Successful response